Security Lab

Межсайтовый скриптинг в MyBulletinBoard

Дата публикации:03.06.2005
Дата изменения:24.03.2009
Всего просмотров:917
Опасность:
Средняя
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: CVE-2005-1811
CVE-2005-1832
CVE-2005-1833
CVE-2005-2778
CVE-2006-1345
Вектор эксплуатации: Удаленная
Воздействие: Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: MyBB (formerly MyBulletinBoard) 1.x
Уязвимые версии: MyBulletinBoard 1.0 RC 4

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и получить доступ к потенциально важным данным других пользователей.

Уязвимость существует в поле website в сценарии обновления профиля пользователя. Злоумышленник может указать в качестве сайта специально сформированную строку и выполнить произвольный HTML сценарий в браузере жертвы в контексте безопасности уязвимого сайта.

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"